6

I get this message,

no compatible source was found for this media

when i try to watch anything on crunchyroll.

I cannot get any videos on reddit or Netflix either but YouTube is working fine. I am using Firefox 64.0 and the sources work in chromium.

Videos were working earlier.

Edit: Solved it by installing GStreamer Multimedia Codecs

1
  • post your edit as an answer...more reputation points Feb 23, 2019 at 19:23

2 Answers 2

9
  1. Option 1:

    Try sudo apt install libavcodec-extra

    According to this answer: Firefox html5 video support

    Restart Firefox when you are done.

  2. Option 2:

    Installing GStreamer Multimedia Codecs

1
  • 1
    Option 1 worked for me. So haven't tried option 2.
    – blueDexter
    Nov 9, 2021 at 7:19
3

The media codecs for ubuntu are not installed by default. Install the media codecs by

sudo apt-get install ubuntu-restricted-extras

Not the answer you're looking for? Browse other questions tagged or ask your own question.